Package org.apache.wiki.plugin

# Class Image

java.lang.Object
org.apache.wiki.plugin.Image

All Implemented Interfaces:
  `org.apache.wiki.api.plugin.Plugin`

public class Image extends Object implements org.apache.wiki.api.plugin.Plugin
Provides an image plugin for better control than is possible with a simple image inclusion.
Most parameters are equivalents of the html image attributes.

Parameters :

- src - the source (a URL) of the image (required parameter)
- align - the alignment of the image
- height - the height of the image
- width - the width of the image
- alt - alternate text
- caption - the caption for the image
- link - the hyperlink for the image
- target - the target (frame) to be used for opening the image
- style - the style attribute of the image
- class - the associated class for the image
- border - the border for the image
- title - the title for the image, can be presented as a tooltip to the user

Since:
  2.1.4.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_ALIGN`
The parameter name for setting the align parameter.
`static final String`
`PARAM_ALT`
The parameter name for setting the alt.
`static final String`
`PARAM_BORDER`
The parameter name for setting the border.
`static final String`
`PARAM_CAPTION`
The parameter name for setting the caption.
`static final String`
`PARAM_CLASS`
The parameter name for setting the class.
`static final String`
`PARAM_HEIGHT`
The parameter name for setting the height.
`static final String`
`PARAM_LINK`
The parameter name for setting the link.
`static final String`
`PARAM_SRC`
The parameter name for setting the src.
`static final String`
`PARAM_STYLE`
The parameter name for setting the style.
`static final String`
`PARAM_TARGET`
The parameter name for setting the target.
`static final String`
`PARAM_TITLE`
The parameter name for setting the title.
`static final String`
`PARAM_WIDTH`
The parameter name for setting the width.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`Image()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getDisplayName(Locale locale)`
`String`
`getSnipExample()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_SRC

public static final String PARAM_SRC
The parameter name for setting the src. Value is `"src"`.

See Also:
  - Constant Field Values

### PARAM_ALIGN

public static final String PARAM_ALIGN
The parameter name for setting the align parameter. Value is `"align"`.

See Also:
  - Constant Field Values

### PARAM_HEIGHT

public static final String PARAM_HEIGHT
The parameter name for setting the height. Value is `"height"`.

See Also:
  - Constant Field Values

### PARAM_WIDTH

public static final String PARAM_WIDTH
The parameter name for setting the width. Value is `"width"`.

See Also:
  - Constant Field Values

### PARAM_ALT

public static final String PARAM_ALT
The parameter name for setting the alt. Value is `"alt"`.

See Also:
  - Constant Field Values

### PARAM_CAPTION

public static final String PARAM_CAPTION
The parameter name for setting the caption. Value is `"caption"`.

See Also:
  - Constant Field Values

### PARAM_LINK

public static final String PARAM_LINK
The parameter name for setting the link. Value is `"link"`.

See Also:
  - Constant Field Values

### PARAM_TARGET

public static final String PARAM_TARGET
The parameter name for setting the target. Value is `"target"`.

See Also:
  - Constant Field Values

### PARAM_STYLE

public static final String PARAM_STYLE
The parameter name for setting the style. Value is `"style"`.

See Also:
  - Constant Field Values

### PARAM_CLASS

public static final String PARAM_CLASS
The parameter name for setting the class. Value is `"class"`.

See Also:
  - Constant Field Values

### PARAM_BORDER

public static final String PARAM_BORDER
The parameter name for setting the border. Value is `"border"`.

See Also:
  - Constant Field Values

### PARAM_TITLE

public static final String PARAM_TITLE
The parameter name for setting the title. Value is `"title"`.

See Also:
  - Constant Field Values

## Constructor Details

### Image

public Image()

## Method Details

### getDisplayName

public String getDisplayName(Locale locale)

Specified by:
  `getDisplayName` in interface `org.apache.wiki.api.plugin.Plugin`

### getSnipExample

public String getSnipExample()

Specified by:
  `getSnipExample` in interface `org.apache.wiki.api.plugin.Plugin`

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`